org.deidentifier.arx.gui

## Class DebugData

- java.lang.Object
- - org.deidentifier.arx.gui.DebugData

    public class DebugData
    extends java.lang.Object

Class for creating debug data.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`DebugData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addEvent(ModelEvent event)` Adds an event to the buffer.
`void` `clearEventLog()` Clears the event log.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DebugData

    public DebugData()

### Method Detail

#### addEvent

    public void addEvent(ModelEvent event)

Adds an event to the buffer.

Parameters:
  `event` -

#### clearEventLog

    public void clearEventLog()

Clears the event log.